Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-16196

Embed the jdbc connectors in the common debian package instead of relying on the one provided by the system

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 11.1
    • Fix Version/s: 11.5-rc-1
    • Component/s: Distribution - Debian
    • Labels:
      None
    • Difficulty:
      Unknown
    • Documentation:
      N/A
    • Documentation in Release Notes:
      N/A
    • Similar issues:

      Description

      It's not a good practice but the risk with the one provided by the system is that it might be too old to support JDBC 4.2. Since latest jdbc connectors support a white range of MySQL and PGSQL version we should be safe.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                tmortagne Thomas Mortagne
                Reporter:
                tmortagne Thomas Mortagne
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Date of First Response: